#ifndef DetectorCONSTRUCTIONMoNAMESSENGER_HH
#define DetectorCONSTRUCTIONMoNAMESSENGER_HH

#include "G4UImessenger.hh"

class DetectorConstructionMoNA;

class G4UIdirectory;
class G4UIcmdWithoutParameter;
class G4UIcmdWithAString;

class DetectorConstructionMoNAMessenger : public G4UImessenger
{
public:
  DetectorConstructionMoNAMessenger(DetectorConstructionMoNA*);
  virtual ~DetectorConstructionMoNAMessenger();

  void SetNewValue(G4UIcommand*, G4String);

protected:
  DetectorConstructionMoNA* fDetectorConstructionMoNA;

  G4UIdirectory* fDetectorDirectory;
  G4UIdirectory* fDetectorMoNADirectory;

  G4UIcmdWithoutParameter* fUpdateCmd;
  G4UIcmdWithAString* fParaNeutDetecCmd;
  G4UIcmdWithAString* fParaMoNACmd;
};

#endif

