#ifndef DetectorCONSTRUCTIONNEBULAMESSENGER_HH
#define DetectorCONSTRUCTIONNEBULAMESSENGER_HH

#include "G4UImessenger.hh"

class DetectorConstructionNEBULA;

class G4UIdirectory;
class G4UIcmdWithoutParameter;
class G4UIcmdWithAString;

class DetectorConstructionNEBULAMessenger : public G4UImessenger
{
public:
  DetectorConstructionNEBULAMessenger(DetectorConstructionNEBULA*);
  virtual ~DetectorConstructionNEBULAMessenger();

  void SetNewValue(G4UIcommand*, G4String);

protected:
  DetectorConstructionNEBULA* fDetectorConstructionNEBULA;

  G4UIdirectory* fDetectorDirectory;

  G4UIcmdWithoutParameter* fUpdateCmd;
  G4UIcmdWithAString* fParaNeutDetecCmd;
  G4UIcmdWithAString* fParaNEBULACmd;
};

#endif

