#ifndef TDATAINITIALIZERONEDETECTOR_HH
#define TDATAINITIALIZERONEDETECTOR_HH

#include "TObject.h"

#include "TDataInitializerInterface.hh"
#include "TSimulationDataScintillator.hh"

class TFile;
class TTree;

class TDataInitializerOneDetector : public TDataInitializerInterface
{
public:
  TDataInitializerOneDetector();
  virtual ~TDataInitializerOneDetector();
  
  virtual int Initialize();
  virtual int CreateBranch(TTree* tree);
  virtual int AddParameters(TFile* file);
  virtual int RemoveParameters(TFile* file);
  virtual int PrintParameters(TFile* file);

  virtual int ClearBuffer();

  ClassDef(TDataInitializerOneDetector, 1)
};

#endif
