#include "TPrimaryParticle.hh"

#include <iostream>

ClassImp(TPrimaryParticle)
TPrimaryParticleArray *gPrimaryParticleArray = 0;
//____________________________________________________________________
TPrimaryParticle::TPrimaryParticle()
  : TObject(), fParticleName(""), fZ(0), fA(0),
    fMomentum(0,0,0,0), fPosition(0,0,0)
{}
//____________________________________________________________________
TPrimaryParticle::TPrimaryParticle(TString name, TLorentzVector mom, TVector3 pos)
  : TObject(), fParticleName(name), fZ(0), fA(0),
    fMomentum(mom), fPosition(pos)
{}
//____________________________________________________________________
TPrimaryParticle::TPrimaryParticle(Int_t z, Int_t a, TLorentzVector mom, TVector3 pos)
  : TObject(), fParticleName(""), fZ(z), fA(a), fMomentum(mom), fPosition(pos)
{
  if (fZ==0 && fA==1) fParticleName="neutron";
}
//____________________________________________________________________
TPrimaryParticle::~TPrimaryParticle()
{}
//____________________________________________________________________

//____________________________________________________________________

