
#include "TSimulationParameterNeutronDetector.hh"

#include <iostream>

ClassImp(TSimulationParameterNeutronDetector)

TSimulationParameterNeutronDetector* gSimulationParameterNeutronDetector = 0;
//_____________________________________________________________________________
std::ostream& operator<<(std::ostream& out, const TSimulationParameterNeutronDetector& simulationParameterNeutronDetector)
{
  out << simulationParameterNeutronDetector.fID << "  ";
  out << simulationParameterNeutronDetector.fLayer << " ";
  out << simulationParameterNeutronDetector.fSubLayer << " ";
  out << simulationParameterNeutronDetector.fSubLayerSeq << " ";

  out << simulationParameterNeutronDetector.fDetecType << "  ";

  out << simulationParameterNeutronDetector.fPosition.X() << " ";
  out << simulationParameterNeutronDetector.fPosition.Y() << " ";
  out << simulationParameterNeutronDetector.fPosition.Z() << "  ";

  out << simulationParameterNeutronDetector.fRotAngle.X() << " ";
  out << simulationParameterNeutronDetector.fRotAngle.Y() << " ";
  out << simulationParameterNeutronDetector.fRotAngle.Z() << "  ";

  return out;
}
//_____________________________________________________________________________
TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector()
  : TNamed("parameterNeutronDetector",""),
    fID(0), fLayer(0), fSubLayer(0), fSubLayerSeq(0)
{
  fDetecType = "Unknown";
  fPosition.SetXYZ(0,0,0);
  fRotAngle.SetXYZ(0,0,0);
}
//_____________________________________________________________________________
TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const char* name, const char* title)
  : TNamed(name, title)
{;}
//_____________________________________________________________________________
TSimulationParameterNeutronDetector::TSimulationParameterNeutronDetector(const TString& name, const TString& title)
  : TNamed(name, title)
{;}
//_____________________________________________________________________________
TSimulationParameterNeutronDetector::~TSimulationParameterNeutronDetector()
{;}
//_____________________________________________________________________________
