set xrange [1:1000]
set yrange [1:10000]
set title "QGSP_INCLXX_XS"
set xlabel "energy (MeV)"
set ylabel "cross section (mb)"
set logscale
plot \
"QGSP_INCLXX_XS_neutron_C.txt" using 1:($2*1e3) title "neutron+C elastic" with lines, \
"QGSP_INCLXX_XS_neutron_C.txt" using 1:($3*1e3) title "neutron+C inelastic" with lines, \
"QGSP_INCLXX_XS_neutron_H.txt" using 1:($2*1e3) title "neutron+H elastic" with lines, \
"QGSP_INCLXX_XS_neutron_H.txt" using 1:($3*1e3) title "neutron+H inelastic" with lines, \
"QGSP_INCLXX_XS_neutron_Li.txt" using 1:($2*1e3) title "neutron+Li elastic" with lines, \
"QGSP_INCLXX_XS_neutron_Li.txt" using 1:($3*1e3) title "neutron+Li inelastic" with lines, \
"QGSP_INCLXX_XS_neutron_Fe.txt" using 1:($2*1e3) title "neutron+Fe elastic" with lines, \
"QGSP_INCLXX_XS_neutron_Fe.txt" using 1:($3*1e3) title "neutron+Fe inelastic" with lines