#!/bin/bash

#--> added for setting up the GEANT4
source /home/kondo/exp/geant4/geant4.9.6.p02/share/Geant4-9.6.2/geant4make/geant4make.sh
export G4VRMLFILE_VIEWER=view3dscene
export PATH=$PATH:/home/kondo/exp/geant4/viewer/bin
#<--

export G4SMLIBDIR=$PWD/smg4lib

export G4SMPHYSICSDIR=$PWD/smg4lib/physics
export G4SMACTIONDIR=$PWD/smg4lib/action
export G4SMCONSTRUCTIONDIR=$PWD/smg4lib/construction
export G4SMDATADIR=$PWD/smg4lib/data

export G4SMCPPFLAGS="-I$G4SMLIBDIR/include"
export G4SMLDLIBS="-lsmphysics -lsmaction -lsmconstruction -lsmdata"

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$G4SMLIBDIR/lib
export LIBRARY_PATH=$LIBRARY_PATH:$G4SMLIBDIR/lib
