#ifndef DetectorCONSTRUCTIONNeuLANDMESSENGER_HH
#define DetectorCONSTRUCTIONNeuLANDMESSENGER_HH

#include "G4UImessenger.hh"

class DetectorConstructionNeuLAND;

class G4UIdirectory;
class G4UIcmdWithoutParameter;
class G4UIcmdWithAString;

class DetectorConstructionNeuLANDMessenger : public G4UImessenger
{
public:
  DetectorConstructionNeuLANDMessenger(DetectorConstructionNeuLAND*);
  virtual ~DetectorConstructionNeuLANDMessenger();

  void SetNewValue(G4UIcommand*, G4String);

protected:
  DetectorConstructionNeuLAND* fDetectorConstructionNeuLAND;

  G4UIdirectory* fDetectorDirectory;
  G4UIdirectory* fDetectorNeuLANDDirectory;

  G4UIcmdWithoutParameter* fUpdateCmd;
  G4UIcmdWithAString* fParaNeutDetecCmd;
  G4UIcmdWithAString* fParaNeuLANDCmd;
};

#endif

